metadata:
  annotations:
    capabilities: Full Lifecycle
    categories: Logging & Tracing
    certified: "true"
    containerImage: datadog/operator:0.2.0
    description: Datadog provides a modern monitoring and analytics platform. Gather
      metrics, logs and traces for full observability of your Kubernetes cluster with
      Datadog Operator.
    repository: https://github.com/DataDog/datadog-operator
    support: Datadog Inc.
    alm-examples: |-
      [{
        "apiVersion": "datadoghq.com/v1alpha1",
        "kind": "DatadogAgent",
        "metadata": {
          "name": "datadog-agent"
        },
        "spec": {
          "credentials": {
            "apiKey": "<DATADOG_API_KEY>",
            "appKey": "<DATADOG_APP_KEY>",
            "token": "<DATADOG_CLUSTER_AGENT_TOKEN>"
          },
          "agent": {
            "image": {
              "name": "datadog/agent:latest"
            },
            "config": {
              "tolerations": [
                {
                  "operator": "Exists"
                }
              ]
            }
          },
          "clusterAgent": {
            "image": {
              "name": "datadog/cluster-agent:latest"
            },
            "config": {
              "metricsProviderEnabled": true,
              "clusterChecksRunnerEnabled": true
            },
            "replicas": 2
          },
          "clusterChecksRunner": {
            "image": {
              "name": "datadog/agent:latest"
            }
          }
        }
      }]
spec:
  description: Datadog provides a modern monitoring and analytics platform. Gather
    metrics, logs and traces for full observability of your Kubernetes cluster with
    Datadog Operator.
  icon:
  - base64data: [encoded data, 5460 characters]
    mediatype: image/svg+xml
  keywords:
  - Datadog
  - Monitoring
  - Logs
  - Tracing
  links:
  - name: Documentation
    url: https://docs.datadoghq.com/agent/kubernetes/
  - name: Kubernetes Monitoring Info
    url: https://www.datadoghq.com/blog/tag/kubernetes/
  maintainers:
  - email: support@datadoghq.com
    name: Datadog Inc.
  provider:
    name: Datadog
